aboutsummaryrefslogtreecommitdiff
path: root/commands/review
diff options
context:
space:
mode:
Diffstat (limited to 'commands/review')
-rwxr-xr-xcommands/review40
1 files changed, 40 insertions, 0 deletions
diff --git a/commands/review b/commands/review
new file mode 100755
index 0000000..ee15745
--- /dev/null
+++ b/commands/review
@@ -0,0 +1,40 @@
+#!/bin/bash
+# Copyright 2017 Google Inc.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# https://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+set -eu -o pipefail
+
+. "$(dirname "$(readlink -f "$0")")"/../lib/common.sh
+
+for f in "${GTD_TXT_DATA[@]}"; do
+ common_awk '
+ function showActions(actions, i) {
+ for (i in actions) print(" " i)
+ }
+ $0 !~ /(^|\n)(Blocked|Project|Then)/ { actions[$1] }
+ /(^|\n)Project:/ {
+ gsub("Project: ", "", $1)
+ showWithFile($1)
+ showActions(actions)
+ delete actions
+ }
+ END {
+ if (array_empty(actions)) {
+ # We never found a project section.
+ showWithFile()
+ showActions(actions)
+ }
+ }
+ ' "$f"
+done